#include <Figments.h>

class LogService : public Task {
  public:
    LogService() : Task("Logging") {state = Task::Running;}
    void handleEvent(const InputEvent& event) override;
    void loop() override {}

    static const char* intentName(InputEvent::Intent intent);
    static const char* eventValue(const InputEvent& evt);

  private:
    static char s_valueBuf[255];
    uint16_t m_duplicateEvents = 0;
    InputEvent m_lastEvent;
};
